Subject: Re: [PATCH] NET: fix wrong English expression in comments

From: David Newall <[email-masked]>
Date: Tue, 13 Jan 2009 19:11:19 +1030

Daolong Wang wrote:
> The patch will make sense for some people. I was puzzled about the
> double-negative for quite a while.
>   

"Don't add nothing," is not a colloquialism; it's just bad grammar.  The
meaning is that you must not add no thing, therefore that you must add
something.  It is a common error amongst English speakers, even amongst
those who speak good, but.  :-)

As with spelling errors, corrections of this sort of thing are trivial
and a waste of time.  I'm opposed to patches like that; they add no
value and could be said to remove "character"; if that's important.

Am American vulgarism seems appropriate: get over it.